#include "HX711.h"

// HX711.DOUT	- pin #A1
// HX711.PD_SCK	- pin #A0

HX711 scale(A1, A0);		

void setup() {
  Serial.begin(38400); // Vitesse de communication de la liaison série
  Serial.println("HX711 Myopenlab"); // Affichage du message de bienvenue

  scale.set_scale(361.f);     // Calibration de votre jauge, posez un poids de 1Kg et ajustez pour obtenir 1000
  scale.tare();				        // Effectue la tare
}

void loop() {

  Serial.println(scale.get_units(), 0); // Mesure en entier
  //Serial.println(scale.get_units(10), 1); // Mesure avec 1 chiffre après la virgule

  //scale.power_down(); // Mise du CAN en mode sleep
  delay(500);
  //scale.power_up(); //Reveil du CAN
}

void serialEvent() { // En attente de données sur la liaison série
  while (Serial.available()) {
    char inChar = (char)Serial.read();
    //scale.set_scale(361.f);
    scale.tare(); // Effectue la tare
  }
}
